// This is a 16-bit register   
//   reset: synchronous reset
//   en: CLK enable	

`timescale 1ns / 1ns

module reg16 (clk, reset, en, D, Q);
   input clk, reset;
   input en;			// Enable load
   input [15:0] D;
   output [15:0] Q;
   reg [15:0] Q;		// For the always assignment

   always @(posedge clk) begin
      if (reset) Q <= 0;
      else if (en) Q <= D;
   end
endmodule // reg16


   
   